<?php



// Basic example of PHP script to handle with jQuery-Tabledit plug-in.

// Note that is just an example. Should take precautions such as filtering the input data.



//header('Content-Type: application/json');



include('db-connect.php');



$input = filter_input_array(INPUT_POST);



if ($input['action'] === 'edit') 

{	

    $sqlSelect="SELECT * FROM trfstandards WHERE idtrfstandards='" . $input['id'] . "'";

    $records=mysqli_query($con,$sqlSelect);

    if(mysqli_num_rows($records)>0){

        $sql = "UPDATE trfstandards SET idprotectioncategory='" . $input['idprotectioncategory'] . "'" ."  , iddpicategory='" . $input['iddpicategory'] . "'" ." WHERE idtrfstandards='" . $input['id'] . "'";

        mysqli_query($con,$sql);

    }

    else {

        $sql = "INSERT INTO trfstandards SET idtrfdetails ='" . $input['idtrfdetails'] . "', idstandards='" . $input['idstandards'] . "'" ." , idprotectioncategory='" . $input['idprotectioncategory'] . "'" ."  , iddpicategory='" . $input['iddpicategory'] . "'";

    }

    mysqli_query($con,$sql);



	

} 

if ($input['action'] === 'delete') 

{

    mysqli_query($con,"DELETE FROM trfstandards   WHERE idtrfstandards='" . $input['id'] . "'");

} 





//mysqli_close($mysqli);



echo json_encode($input);

?>

